Thanks for bringing this up Chia-Ping Tsai. Yes, the question can be more
general whether we need to support the old API.

On Tue, Apr 10, 2018 at 7:49 PM, Chia-Ping Tsai <chia7...@apache.org> wrote:

> There are other tools having two versions - o.a.h.h.mapreduce and
> o.a.h.h.mapred
> It seems to me the question is "should hbase support old MR APIs ?' Given
> that hadoop 3.0 doesn't mark old MR APIs deprecated, we should keep them in
> hbase? Or we can deprecate them in hbase-2+ in order to remove them in the
> future?
>
> On 2018/04/10 16:02:07, Peter Somogyi <psomo...@apache.org> wrote:
> > Hi,
> >
> > Currently we have 2 RowCounter tools in our
> > repository: o.a.h.h.mapreduce.RowCounter and o.a.h.h.mapred.RowCounter.
> > None of them is marked as deprecated but mapred.RowCounter was deprecated
> > in pre-HBase 1 releases and the annotation was eventually removed
> > in HBASE-11178.
> >
> > Do we still want to or need to keep both versions? The mapred tool is not
> > documented in refguide and the command's usage is minimal. The
> > mapreduce.RowCounter tool also has more features.
> >
> > Thanks,
> > Peter
> >
>

Reply via email to